Top Menu

What are you doing? Ver 3.5

Click each part of the picture above, and you will jump to the corresponding page.


About "What are you doing?"

About "What are you doing?" (WAYD)

"What are you doing?" is a Windows application used on a network environment (LAN).
You can watch your client's activity and control them remotely.
Even if you have no special knowledge about Network, you can use it as soon as you install.
The controller program detects the client computers automatically and registers them.
The client program starts automatically and runs in the background.
To protect a user's privacy, you can display a warning message to notice that a watching program is running. (Option)

Basic functions

1) Watch the desktop screen of a client computer.
-You can choose a large size or reduced size.
-You can watch the desktop screen of more than one client one after another in a interval (SCAN Watch).
-You can save the screen picture in a file.

2) Watch the live camera image of a client computer.
-You can watch the desktop screen of more than one client one after another in a interval (SCAN Watch).
-You can save the screen picture in a file.

3) Distribute the desktop screen of a controller or an arbitrary client to all clients and display.
It is possible to switch the screen (own or controller's)

4) Change the desktop screen on a client to the one of the controller. (Presentation Mode)
It is displayed in full size on the client's screen. Taskbar also disappears.
The mouse pointer of the client moves linking with the controller's.

5) Lock the clients
You can lock your clients remotely. Any operations with a mouse and keyboard becomes invalid.
Of course, you can release the lock at any time.

6) Transmit a message to the clients.
You can send a message to the cilents
It is also possible to transmit to more than one client simultaneously.
The client received the message can reply to it.

7) Transmit voice message to the clients.
You can send a music data to the clients.
It is also possible to transmit to more than one client simultaneously.

8) Start an application on the client remotely.
You can execute an application or a batch file on the client remotely.

9) Close a window of the application running on the client remotely.
You can terminate the application forcedly.

10) Wake on LAN, Shutdown, Reboot, Logoff remotely.
You can control power supply of the clients.

11) Eliminate an unauthorized user.
A user who is not authorized can not use the system.


Requirements

To use "What are you doing?", the following environment is required.

Operating system (OS)
Microsoft Windows 95
Microsoft Windows 98
Microsoft Windows 98 SE
Microsoft Windows Me
Microsoft Windows NT4.0 Workstation (ServicePack 5 or later)
Microsoft Windows NT4.0 Server (ServicePack 5 or later)
Microsoft Windows 2000 Professional
Microsoft Windows 2000 Server
Microsoft Windows XP Home Edition
Microsoft Windows XP Professional

Hardware
Graphical resolution of 1024 x 768 or more (Controller only)
Video Capture device (must support "Video for Windows")

Network
LAN environment with TCP/IP communication


Installation

Normal Installation

Follow the procedure to install "What are you doing?".
Extract 6 files below from "WAYD.zip".

1) "Client.exe" .................. Install program for a Client
2) "Control.exe" ............... Install program for a Controller
3) "WCInst.Exe" .............. Full automatic Installer for a Client
4) "WCUnInst.Exe" ......... Full automatic UnInstaller for a Client
5) "WCDir.dat .................. Install folder definition file (sample)
6) "Manual.chm" ............. Online Help file (Manual)
7) "Readme.txt" ................ Instruction for the Installation

There are two methods for client's Installation.
One is "Normal Installation" which is explained in this page.
Another is "Stealth Installation" which is a full automatic Installation method.

Client Installation
Copy "Client.exe" to a proper folder on a client and execute it.(Double-click)
Since a setup program starts, follow the instruction for the setup.
Please Reboot the system once after the installation.
The Client program starts automatically every time since then.

Controller Installation
Copy "Controller.exe" to the proper folder on a client and open it.(Double-click)
Since a setup program starts, follow the instruction for the setup.
Please Reboot the system once after the completion of the installation.
A shortcut of the Controller program (WCtrl.exe) is registered as "WAYD" into [Programs] of [Start] menu.

Notes
If the OS to install is WindowsNT,2000 or XP, an administrative privilege is required.
You can not install the Client System and the Controller System into the same computer.
The Client program and the Controller program never work at the same time.

UnInstallation

Follow the procedure to unInstall "What are you doing?"
Surely terminate the program of "What are you doing?" before starting the unInstallation.
You can terminate the Client program (WClient.exe) by sending [Quit] command from a controller.

Client unInstallation
1. Double-click the icon of [My Computer] on the desktop, and [My Computer] window is opened.
2. Double-click the icon of [Control Panel] in [My Computer] window, and [Control Panel] window is opened.
3. Double-click the icon of [Add/Remove Programs] in [Control Panel] window, and [Add/Remove Programs Properties] window is opened.
4. Select "WClient" in the list, and then click the [Add/Remove...] button.

If the client is installed by the way of [Stealth Installation], you cannot unInstall by the above-mentioned method.
Please refer to "Stealth Installation ."

Controller unInstallation
1. Double-click the icon of [My Computer] on the desktop, and [My Computer] window is opened.
2. Double-click the icon of [Control Panel] in [My Computer] window, and [Control Panel] window is opened.
3. Double-click the icon of [Add/Remove Programs] in [Control Panel] window, and [Add/Remove Programs Properties] window is opened.
4. Select "WCtrl" in the list, and then click the [Add/Remove...] button.

Notes
If the OS is WindowsNT, 2000 or XP, an administrative privilege is required.


Stealth setup

Stealth Installation (Client only)

This is a Special program to Install or UnInstall a Client.
Once the Install program starts, the installation goes on in the background.
This is the best method for Network Installation.
Follow the procedure to use "Stealth Installation"

Installation

You can specify the installed folder.

Install to default folder
Copy "WCInst.exe" into "Program Files" folder of the Client computer and execute it.
Once "WCInst.exe" starts, all of the setup process will be performed in the background.
The Client program (WClient.exe) will start automatically at the end of the setup. However, at this time the condition is unstable.
Please Reboot the system once after the completion of the Installation.
The Client program starts automatically every time since then.
It is installed in the following default folder.
"Program Files\GRT\WClient"
"WCInst.exe" in the "Program Files" folder is automatically deleted after the completion of the Installation.

Install to specified folder
First must prepare "WCDir.dat" which is the definition file to specify the installed folder.
There is a sample in the files extracted from "WAYD.zip". Please refer it.
You can edit the file with a text editor. (NotePad.exe)
Describe the installed folder in full path. (Example: C:\Windows\Watcher)

Copy "WCInst.exe" and "WCDir.dat" into "Program Files" folder of the Client computer and execute "WCInst.exe.
Once "WCInst.exe" starts, all of the setup process will be performed in the background.
The Client program (WClient.exe) will start automatically at the end of the setup. However, at this time the condition is unstable.
Please Reboot the system once after the completion of the Installation.
The Client program starts automatically every time since then.
"WCInst.exe" and "WCDir.dat" in the "Program Files" folder is automatically deleted after the completion of the Installation.

UnInstallation
A client installed by "Stealth Installation" cannot be deleted by the standard unInstallation method of Windows[Add/Remove Programs].
You have to use the special unInstallation program "WCUnInst.exe".
Copy "WCUnInst.exe" to the proper folder on the Client and execute it .
Once "WCUnInst.exe" starts, all of the uninstall process will be performed in the background.
Since "WCUnInst.exe" is not deleted automatically, please delete it manually after the unInstallation.

Notes
If the OS is WindowsNT, 2000 or XP, an administrative privilege is required.
In order to use this install method, "regsvr32.exe" of Component Registration Program must exist in the System Folder of the client.
You can not install the Client System and the Controller System into the same computer.
The Client program and the Controller program never work at same time.


Port Number

As you change Port Number, it is enabled to manage more than one group of "What are you doing?" on the same network.
Follow the procedure to change a Port Number.
Click the small icon at the upper left of the main controller window, and you see a pull down menu as below.

Select [Setup] at the lowermost part in the menu, and a dialog for Registration is opened

.

The Port Number of the controller and the client immediately after the Installation are "22222".
Unless the Port number of the Controller and the Client match, the communication is not established.

Set Port Number of the Controller
Input a value into the Port Number input box and click [Register] button.
Although the value is saved immediately, it is not valid until you restart the controller.

Set Port Number of the Client
There are two methods to set.
One is using Port Number setting tool (SetEnv.exe) on each client.
Another is distributing and registering Port Number from the Controller remotely.

Using "SetEnv.exe"
"SetEnv.exe" is not installed in the client by the reason on security.
Since it is stored in the folder in which the controller was installed, please distribute it to each client.
Execute "SetEnv.exe", and you see a window as below.

Input a value into the box and click [Register] button. The value must be in the range of 10001 - 59999.
Although the value is saved immediately, it is not valid until you restart the client.
We recommend you to delete "SetEnv.exe" immediately on the Client on security after the setting.

Distributing from Controller
Although the method of distributing is very convenient, It accompany a risk.
Please carry out the following procedure carefully.

1. Start all clients.
2. Change Port Number of the Controller. (Refer to the above-mentioned procedure.) Do not terminate the controller program absolutely in this stage,or you will fail.
3. Return to the main controller window and select all Clients in the list.
4. Click [Help] button with holding down [Ctrl] key.
5. Port Number is transmitted and registered on each Client.
6. Select all Clients in the list and click [Reboot] button.
7. All Clients restart.
8. Quit the controller program and then restart the controller program.
9. Check the communication with each Client.
If you have failed in changing Port Number of the clients, please use "SetEnv.exe" to re-set.

Notes
Since the Port Mumber of "12345" is reserved by the program, it is not available.
If you are not familiar with Port Number, please consult your network administrator.


Main Controller Window

The main window of the controller is divided into some blocks as below.

(1) Picture Block

The desktop screen of the client is displayed in this block.
Regardless of the desktop resolution of the client, the picture is reduced to this size automatically.
The "IP Address","Computer Name","User Name" and "Time" are displayed above the picture.

(2) Client list Block

The following information about the registered clients are displayed in this block.

1. IP address .............. IP address assigned to the client
A green lamp or Red lamp is lighted on to indicate the present condition of the client.
2. Computer Name .... Computer Name of the client PC
3. User Name ............. Name of the user using the client PC
4. State ....................... The condition of the client. [Free] or [Lock] is indicated.
5. MAC address ...... A physical address peculiar to the network card of the client
6. Group...................... Group Name belonging to

Sort: You can sort the clients. To sort, click on the column you wish to sort by.
Order: You can change the order of the column.To change the order, drag the column to the position you wish.
Select: You can select more than one client.To select them, use the combination of [Ctrl]key and [Shift]key.
You can select all clients in the list by one action.To select all, just double-click on the list.
Lamp: You see a green lamp when the client is in operation.
If the user does not operate during the definite time, the green lamp is lighted off.
You can change the duration. Refer to [Command].
You see a red lamp when an unauthorized user is going to login. Please refer to [User Check]

(3) Message and Command Block

Send a message or command line to a client.

(4) Command Panel Block

Various control commands are gathered in this block..

Notes
When "User Name" column is blank, it means the Client is inactive.


Registration of Clients

Registration of Client

Fundamentally, It is not necessary to register the client information.
The controller always detects a new client automatically, and register it to the list.
Of course,You can also register a client manually.

Automatic R egistration

The controller program detects a new client which is not registered in the list, and register it automatically.
The controller discriminates the clients by the IP address. If the IP address which is not registered is detected, The program adds it to the list immediately.
The contents in the list are saved when the controller is closed.

Manual Registration

The Automatic Registration cannot detect a client on the network across a router.
In such a case, you can register a client manually.
Right-Click on the title bar (upper-most) and you see a pull down menu as below.

Select [Setup] at the lowermost part in the menu, and a dialog for registration is opened.

Add
Inp ut the IP address you want to add a nd click [Add/Edit] button.The I P address is added to the list immediately.
At this time [Computer Name] and [MAC Address] are not displayed. They are acquired at the first communication with the client automatically.

Edit
Select a client you wish to edit. Edit it and click [Add/Edit] button.
If you can not get MAC address automatically for any reason, you can input it manually here.

Delete

If you want to delete a Client from the list, select the Client and click [Delete] button.
You can select more than one client and delete them at the same time.
You cannot delete a client in operation.This is because the client will be added immediately by the Automatic Registration function even if it once deletes from the list.

Close
Click [Close] button, and the contents in the list will be saved and it will return to the main controller window.
When you have deleted a client by mistake, you can return to the main controller window without saving the result. To do so, just click [x] button at the upper right of the window.


Group

You can group your clients into 8 group.
You can select the clients in the list together by a group.

Grouping the clients
To group the clients, follow the procedure below.
First, Select the clients to group in the list.
Next, Click a check box(number) you want to group them into with holding down [Ctrl] key.
You can confirm the result at "Froup" column in the list.
It is convenient for you to change the column order.

Selecting the clients as a group
To select the clients as a group, follow the procedure below.
First, Click a check box (number) you want to select .
Next, Click [Select] button.

Deselecting the clients
You can deselect all the clients in the list.
To deselect the clients, just click [Release] button.


Watch a Client

Watch Client

You can watch a desktop screen or a live camera image of clients.
There are two methods to watch, One is "Single Capture" and another is "Scan Capture".

Desktop Image

Live Camera Image

Single Capture
If you Left-Click a client in the list, you can get a reduced desktop picture of the client.
If you Right-Click a client in the list, you can get a video camera image of the client.

Scan Capture
You can get a picture of more than one client automatically at regular intervals.
First, Select the Clients in the list.

To get desktop picture, just click [Start Scan] button.
To get video image, click [Start Scan] button with holding down [Ctrl] key.

The [Start Scan] button change to [Stop Scan] button.
You can change the interval. To change, input a value into the box.
To stop scanning, click [Stop Scan] button. Also the scanning stops when another button is clicked.

If you check [File Save] and start the scan, the captured images are saved in each file automatically.
The file is saved in the "Image" folder which is located below the controller's folder.
The file type is JPEG, and it is named as below.
[ComputerName]_[UserName]_Hour'Minute'Second.jpg

Scan Capture (Multi Screen mode)
You can see the pictures of more than one client in a window (Multi Screen).
First, Select the Clients in the list.

To get desktop picture, click [Start Scan] button with holding down [Shift] key.
To get video image, click [Start Scan] button with holding down [Ctrl] + [Shift] key.

The [Start Scan] button change to [Stop Scan] button.
You can change the interval. To change, input a value into the box.
To stop scanning, click [Stop Scan] button. Also the scanning stops when another button is clicked.
You can not save the picture to a file in this mode.

You can get a large size picture to click on each screen picture.

Enlarge the portion of the picture
You can enlarge the portion of the picture.
To get the enlarged image, click the position you want to enlarge on the small picture.

You can get 388 * 288 dots size cut image of the client screen.
Strictly speaking, this function does not enlarge the captured small image.
When you click with [Ctrl] key, a new image is captured and sent to the controller.

Save a picture
You can save the picture in a file.
To save,Right-Click on the picture, and a dialog box is opened to save as below.

Large size picture
You can get a large size picture. (Desktop screen only)
To get, Left-Click on the picture, and a new window is opened to display a large size picture.
To get a new picture, click on the large size picture.
To close the window, press [Esc] key.

Save a large size picture
You can save the large size picture too.
To save,Double-Click on the picture, and a dialog box is opened to save as below.

History
The captured small size image is saved automatically as a history. (Max 9,999).
You can review it anytime you wish.

To review the past image, use the scroll-bar below the picture.
To erase all the saved images, just click [Erase History] button.

Erase a window
You can erase a window displayed on a client's screen remotely.
Click the window you wish to erase on the small image with holding down [Alt] key.
The window is erased immediately on the client.
If another window is locaed behide the target window, the window is erased together. (Transfixion)

Video Capture Setting
To get a video camera image, the client mach ine must have a video caputure equipment and video capture diriver.
If you can not get a video camera image, you may adjust the vido capture setting.
To adjust the setting, you use Video Capture Setting Program.

Notes
If a scanning interval is short, it will affect to the network performance.
If [Scan Capture] is performed to one client at a short interval, heavy load may be applied to the client and the performance may fall down greatly.
It takes several seconds to get a large size picture. Please wait until it is displayed. (Do not perform Left-Click repeatedly and continuously.)


Video Capture Setting

To make a video capture setting, use "VSet.exe".
"VSet.exe" is stored in the folder in which the client was installed.
Start "VSet.exe", and you see a window as below.

Select Video Capture Driver
Select a video captue driver listed in the Capture Driver list box.
The capture driver must support Video for Windows.
And then,click [Set] button. You will see a captured video camera image in the picture window (left side).
If you can not see any image, try another driver.(if available)

Adjust Image setting
There are two buttons below the picture window.
Left button is for Video Source Setting. (brightness,color,sharpness,etc)
Right button is for Video Format.
The setting contents of the each button may change according to the video driver.

Adjust Timing
If you can not get a image on the controller although you can see a image in this windows, try Timing Adjust.
The default value is 0. If you increasse the value, it takes much time to capture an image.
Try around 10 as the setting value. Input the digit and click [Set] button.

Notes
Some video capture equipments may not available with "What are you doing?".
If you can not get a image any way, you should consult the support of the video capture device maker.


Distribute

D istribution of Desktop S creen

You can capture a desktop screen of the controller and distribute it to all clients.
And you can slso distribute the one of an arbitrary client.

How to distribute a Controller's Screen
Just type [Ctrl] + [PrintScreen] or [Ctrl] + [Upward arrow].
If the controller's window is opened, the window is minimized and showed in the Taskbar.
Therefore, the window of the controller is never contained in the captured picture.
Of course, the above keyboard operation is valid, when the controller is minimized, also.
The captured picture is displayed on each client.
The user of a client can close this window or minimize it for after use.

How to distribute a client's Screen
Select a source client in the list with holding down [Alt] key.

To close the captured picture remotely, type [Shift] + [PrintScreen] or [Shift] + [Upward arrow].

Kill the function
You can disable this function to avoid miss operation if you never use this function.
Right-Click on the title bar (upper-most) and you see a pull down menu as below.

Select [Setup] at the lowermost part in the menu, and a dialog for registration is opened.

Set [Stop Presentation] check box to ON.

Notes
You can not select the clients to distribute. (must distribute to all clients simultaneously.)
When the desktop resolution of a client is lower than the desktop resolution of the controller, the picture is reduced automatically to display.
The distribution takes several seconds (15s MAX).
Neither according to the condition of a client machine, nor the condition of the network traffic, it may function normally.
You cannot distribute to other segments across a router. (Internet etc.)


Presentation

Presentation Mode

You can capture the desktop screen of the controller and distribute it to all clients by Presentation Mode.
Basic functions are similar to Normal Distribution. However, Presentation mode has some different features for the presentation use.

-The Image is displayed on each client in a full size on the screen. The taskbar is also disappeared.
-The motion of the mouse pointer on each client is connected with the controller's.
-On this mode,the client is locked automatically.
-The transfer speed is higher.(2 to 3 seconds per a image, only first image transfer takes about 6 seconds)

To enter Presentation Mode,type [Ctrl] + [Shift] + [PrintScreen] or [Ctrl] + [Shift] + [Upward arrow].
If the controller's window is opened, the window is minimized and showed in the Taskbar.
Therefore, the window of the controller is never contained in the captured picture.
The captured picture is displayed in a full size on each client. Taskbar also disappears.
The client system is locked at this moment. And mouse pointer is connected with the controller's.

To send a new desktop screen (Refresh), just type [PrintScreen] or Right-click the mouse with holding down [Ctrl] key.
When you Right-click the mouse,a new window may appear according the situation. This new window is never contained in the captured picture.
You can repeat this operation untill you quit presentation mode.

To Quit Presentation Mode, Just click [What are you doing?] item in taskbar.
At this moment, the controller's desktop image on each client disappears and the lock is released.

Kill the function
You can disable this function to avoid miss operation if you never use this function.
Right-Click on the title bar (upper-most) and you see a pull down menu as below.

Select [Setup] at the lowermost part in the menu, and a dialog for registration is opened.

Set [Stop Presentation] check box to ON.

Notes

You can not select the clients to distribute. (must distribute to all clients simultaneously.)
When the desktop resolution of a client is lower than the desktop resolution of the controller, the picture is reduced automatically to display.
Neither according to the condition of a client machine, nor the condition of the network traffic, it may function normally.
You cannot distribute to other segments across a router. (Internet etc.)


Message , Command

You can send a simple message or command line to the client.
To send, follow the procedure.

Message
There are two methods to send a message.
One is "Message Transmission with Reply function". With this method, the client is able to reply to this message.
Another is "One way Message Transmission". With this method, the client is not able to reply to this message.

Message Transmission with Reply function
At first, input a message sentence in the message input box.
Next, select the client to which you want to send the message. And then click [Message/reply] button.
Of course, you can select more than one client and send to them simultaneously.
On the client, the following dialog box is opened immediately.

To reply, Input a message in the box and click [Reply] button.

One way Message Transmission
At first, input a message sentence in the message input box.
Next, select the client to which you want to send the message. And then click [Message] button.
Of course, you can select more than one client and send to them simultaneously.
On the client, the following dialog box is opened immediately.

Notes
When you select a client by Left-Click, a caputered picture must be displayed.
If you don't want to do so, Left-Click with holding down [Ctrl] key or [Shift] key.

Command
You can execute an application or a batch file on the client remotely.
To use this function, you have to know the exact stored position of the file to execute on the client.
At first, input a command line.The command line must be Full path.
Next, select the client to which you want to send the command line. And then click [Command] button.
Of course, you can select more than one client and send to them simultaneously.
On the client, the command line is executed immediately.
A command line can accompany a parameter. (unavailable in case of a batch file)
To do, you must replace the space into "^^ ".(in order to distinguish from the space as a character).
" ^^ " continues and inputs two "^ ".
It is only the first space to be replaced into "^^ ". The space after the 2nd piece is described as it is.

Example 1: c:\windows\calc.exe ("calc.exe" in windows directory on C-drive is started)
Example 2: c:\windows\notepad.exe^^c:\windows\config.txt ("notepad.exe" in windows directory on C-drive is started, and "config.txt" in windows directory on C-drive is read.)
Example 3: c:\windows\readme.txt ("readme.txt" in windows directory on C-drive is opened. The editor related with "txt" is started simultaneously.)
Example 4: c:\work\update.bat (the batch file "update.bat" in work directory on C-drive is opened.)

Close Window
A window currently displayed on a client can be closed from the controller forcedly.
At first,input the title (caption) of the window to be closed on the client in the input box.
Next, select a client to which you want to send the title information. And then click [Close Window] button.
Of course, you can select more than one client and send to them simultaneously.
On the client, the specified windows is closed immediately.
The window to be closed is all windows containing the title characters inputted in the input box.
For example, if it is specified as "Internet", all windows that contain the character sequence "Internet" in the window title will be closed.
When the window is the top window of the application, the application will also be closed simultaneously.

Notes
When a window is closed, the file under edit is not saved.
When you select a client by Left-Click, a caputered picture must be displayed.
If you don't want to do so,Left-Click with holding down [Ctrl] key or [Shift] key.

Change Duration
You can change the durati on time to indicate the client in operation.
The default time is 300 seconds (5 minites).
To change the duration, you send the Set Command to the cilent with [Command] button.
Of course you can set the different duration time to each client.
At first, input the Set Command in the input box in the following form.

SETATIME value (capital letter)
Example: SETATIME10 (If the user does not operate during 10s, the green lamp is lighted off.)

Next, select the client to which you want to change the duration time. And then click [Command] button.
Of course, you can select more than one client and send to them simultaneously.
The change is applied to the client immediately.

About Message List Box
The sentence which is once used is added to the list automatically. And you can re-use it to select in the list.
Also you can delete the contents in the list. To do, click the line which you want to delete with holding down [Ctrl] key.


Voice Message

You can send a voice message or music data to the client.
To send, follow the procedure.

At first, select the client to which you want to send. And then click [Voice Message] button.
Of course, you can select more than one client and send to them simultaneously.
You see a new windows as below.

You must record your voice message to send.
Before recording, you should check the record setting with the [Volume Control] of the System. (recording device , volume , etc)
To start the recording, click [Rec Start] button. You can record within 180 seconds.
To stop the recording, click [RecStop] button. At this moment, your voice is saved in a file.
To confirm the message, click [Test Play] button.
To send the recorded message, click [Send] button. After the transmission, you will return to the main controller window automatically.
To cancel the transmission, click [Cancel] button and you will return to the main controller window.

The recorded message is saved in the contoller's folder. The file name is "bc.wav".
You can create this file with other recording tool. The recording format must be WAV. and the recording time must be within 180 seconds.
If you want to send these files, just click [Send] button. If you once click [Rec Start]button, the former recorded file is overwritten.


Run and Quit Applications

Start and Quit Applications

You can start the same application running on a controller on all clients with one action.

How to start the application
Click the title bar of the application you wish to start with holding-down [Shift] key.

Attentiojn
The application program must be installed in the same folder (position) on the controller and client PCs.

How to quit the application
Click the title bar of the application you wish to quit with holding-down [Ctrl] key.


Control

Follow the procedure to control the client.

Lock
You can lock the client at anytime.
On the locked client, the operation with the mouse and the keyboard becomes invalid entirely.
To Lock the client, select the client which you want to lock in the list. And then click [Lock] button.
Of course, you can select more than one Client and lock them simultaneously.
When the client is locked, the "State" column of the client indicates as "Lock".

To release the lock, select the client in the list which you want to release the lock . And then click [Release Lock] button.
Of course, you can select more than one client and release the lock of them simultaneously.
When the client is released, the "State" column of the client indicates as "Free".

Wake up
The Power Supply of the client is switched on remotely.
Select the client in the list which you want to wake up. And then click [Wake up] button.
Of course, you can select more than one client and wake them up simultaneously.
The client is waking up immediately.

Reboot
You can reboot the client remotely.
Select the client in the list which you want to reboot. And then click [Reboot] button.
Of course, you can select more than one client and reboot them simultaneously.
The client is rebooting immediately.

Shutdown
You can shutdown the client.(Power off)
Select the client in the list which you want to shutdown. And then click [Shutdown] button.
Of course, you can select more than one client and shutdown them simultaneously.
The client is shutting down immediately.

Logoff
You can logoff the client.(Windows NT , 2000 only)
You can not logoff the client of Windows95,98,Me.
Select the client in the list which you want to logoff. And then click [Logoff] button.
Of course, you can select more than one client and shutdown them simultaneously.
The client is going to logoff immediately.

Quit
You can terminate the client program (Mite.exe).
Select the client in the list which you want to stop the operation. And then click [Quit] button with holding-down [Shift] key.
Of course, you can select more than one client and stop the operation of them simultaneously.
The program of the client is stopped immediately.

Notes
When the client's OS is Windows 98SE, even if it is locked, a user can access the items on the desktop (icon etc.). (This is a feature of the OS)
However, the opened window cannot be accessed at all.
When the client's OS is Windows NT or 2000, the keyboard operation of "[Ctrl] + [Alt] + [Delete]" is not locked. (This is a feature of the OS)
Shortly after the client receives the command of [Reboot] and [Shutdown], Windows is closing. At this time, the file under edit is not saved.
When you select the client by Left-Click, a caputered picture must be displayed.
If you don't want to do so,Left-Click with holding down [Ctrl] key or [Shift] key.
In order to use the function of "Shutdown", the client computer must have an equipment of "Automatic Power off".
In order to use the function of the [Wake up], the client computer must have an equipment of "Wake-on-LAN".


URL

Deliver and Link URL

Deliver URL to Clients
You can deliver the URL showed on the controller's browser to the clients.
You can show the same page as you see to the clients.
To use this function, a browser must be started both on the controller and on the clients.

To deliver the URL, clck on the controller's desktop with holding down [Ctrl] + [Shift].
You can click anywhere on the desktop.
You can not specify the delivered clients. All of the clients starting a browser receive the URL and show it.

Link URL
You can link URL with a client and controller.
You can watch your client's activity of the browsing by this function.

To Link the URL, follow the procedure below.
- Start a browser (IE) on the controller.
- Select a client in the list you wish link to.
- Input GETURLON in the message input box, and click [Command] button.

To release the link
- Select a client in the list you wish link to.
- Input GETURLOFF in the message input box, and click [Command] button.

The link is released automatically when the client restarts and the controller program is closes.

Attention
This function is supports only Microsoft Internet Explorer (IE). It does not work with Netscape Navigator and so on.


Help Call

A client user can send [HELP CALL] to the controller.
There are two method for [HELP CALL].

Indicate [HELP] in the State column.
Just press [Print Screen] key on the client.

Send a message to the controller.
Press [Print Screen] key with holding down [Alt] key or [Ctrl] key.
You can see a message window below.


End the controller program

Close Controller Program

Click [Close] button at the upper right of the window to end the controller program (Misete.exe).
At this time the contents in the client list and in the message list are saved.
If you don't want to save these contents, click [x] button at the upper right of the window.
This is effective if your network system use DHCP. Because the IP address of the client may change each time under DHCP.


Service (NT,2000)

Service Operation(NT,2000,XP)

When the Client's OS is Windows NT , 2000 or XP, the client program work as a Service.
If the client is not logged-in , "User Name" column of the client indicates as "SYSTEM".
You can use the following commands to the client who is not logged-in yet.

Reboot
Shutdown
Quit


Command-line Use

Command-line Operation

You can control the client without using the controller program.
This is useful method for a batch file and scheduled task.
You can use the follwing commands as Command-line operation.

 Lock
Release Lock
Wake up
Reboot
Shutdown
Logoff
Quit
Message
Message with reply
Command
Close Window

The command-line operation require the Command-line program (MAuto.exe) and a Script File.
"MAuto.exe" is stored in the folder in which the controller was installed.
A Script File is created by manipulat ing the controller. (Record the operations.)

Create a Script File
To create a Script File, follow the procedue below.
Start the controller program[Misete.exe].
Click [Record] button to start record ing. The [Record] button changes to [Cancel] button.
Select the client in the list.
Of course, you can select more than one client and wake them up simultaneously.
Click a button to execute.When the button is [Message] , [Messae/reply] , [Command] or [Close Window] , you should input a sentence to send.
The following dialog box is opened to save a Script File.

Input a file name within 8 bytes and click [Save] button. (Do not add file extension)
The Script File is saved in the folder in which the controller was installed. At this time , the file extension [.dat] is added automatically to the file name.
One Script File is able to handle only one command. If you want to execute more than one command continuously , you have to create each script file.
On recording , the command of the button you clicked is not sent to the client. (Just only for the recording)

Execute a Script File
To execute a Script File, follow the procedue below.
Input a command-line in the following format in [MS-DOS Prompt].
MAuto.exe ScriptFileName
One space is required between "MAuto.exe" and "ScriptFileName". You must input the exact file name (with file extension).

Example : C:\Progra~1\007\Misete\MAuto.exe Wakeup.dat ( folder name must be DOS-Name).

Notes
You must close the controller program , when you use MAuto.exe. You can not run them at the same time.
You can not move "MAuto.exe" to other folders and run it there. "MAuto.exe" must be run in the original place.


User Check

You can eliminate a user who is not authorized to use the computer.
When a user logon the system, the client program checks the User Name.
If an unauthorized user is detected, the system eliminate the user immediately.
You can select the method to protect (eliminate).
To use this function, follow the procedure below.

1. Determine the method of protecting
2. Create User Check List

1. Determine the method of protecting
Right-Click the title bar (upper-most), and you see a pull down menu as below.

Select [Setup] at the lowermost part in the menu, and a dialog for registration is opened.

Select the method to protect and check it.

1.Lock ---------- A window is opened to say that the user have no permission to use. And then, the system is locked immediately.
2.Reboot ------- A window is opened to say that the user have no permission to use. And then, the system reboots soon.
3.Shutdown --- A window is opened to say that the user have no permission to use. And then, the system shutdowns soon.
4.Logoff -------- A window is opened to say that the user have no permission to use. And then, the system logoffs soon. (NT,2000 only)
5.Free ----------- No protection is done. The user can use the computer freely.

Click [Set] button. The method to protect is registered.

2. Create User Check List
The client program discriminates the user by the User Name.
So In advance, you must create a list in which the User Names to check are recorded.
There are two list files to check the user. In other words, there are two methods to check.

1. User list in which the User Names who are eliminated are recorded.
Record the User Names in the file [NGUser.dat]. [NGUser.dat] is a text file. Edit it with a text editor [Notepad.exe or etc.]
To edit the file, you must keep the following rules.

- Describe one user name in one line.
- Small letter and big letter are discriminate strictly.
- Do not insert a blank line.
- Max number to be recorded is 1000.
- If you want to eliminate the user who logon without the certification, describe as UnknownUser.

2. User list in which the User Names who are accepted are recorded.
Record the User Names in the file [OKUser.dat].[OKUser.dat] is a text file. Edit it with a text editor [Notepad.exe or etc.]

- Describe one user name in one line.
- Small letter and big letter are discriminate strictly.
- Do not insert a blank line.
- Max number to be recorded is 1000.
- If you want to accept the user who logon without the certification, describe as UnknownUser.

If you do not use this method, you must erase the all of the User Names in the file or delete the file [OKUser.dat].
The user who is not recorded in this file never logon the system.

Notes
This function works only when the controller program is started.


Restriction of Controller Function

Restriction of Controller's Function

You can disable some of the controller's functions.
To prevent mis-operation, this is a very effective measure.
To do, follow the procedure.

First,terminate the controller program.
Execute "MLimit.exe", and you see a window as below.
"MLimit.exe" is stored in the folder in which the controller was installed.

Che ck-off the item which you want to disable.And click [Set] button.
Start the controller program again.


Stealth Operation

Privacy and Stealth Operation

To protect the client user's privacy, the program has a privacy protection mode.
In this mode, a warning message as below is displayed every time at start-up.

In this mode a client user is able to stop the client program at will.
To stop the program, Right-Click the icon of "What are you doing?" in the task tray.

Click [Stop], and the client program stop immediately.
To start the client program again, click [Start].

By default, this provacy protection mode is "OFF"
To enable the funcion, follow the procedure below.
- Select the client to enable in the list of the controller.
- Input "PRIVACYON" in the message input box.
- Click [Command] button.
- Restart the client.

To disable the funcion, follow the procedure below.
- Select the client to enable in the list of the controller.
- Input "PRIVACYON" in the message input box.
- Click [Command] button.
- Restart the client.


Purchasing

Purchasing a license

This software is a shareware.
You have to purchase a license to continue using after the evaluation period. The evaluation period is 30-days.

Registration Procedure

STEP1:
- Inform your ProductID by E-Mail with the next information. (See License Registration)
Mail to support-intl@007.jpThe E-Mail title should be "Request License Number".
ProductID (just 10 characters)
 Purchaser Name
E-Mail address for receiving your License Number

STEP2:
- Pay a registration fee. (See Purchasing Method)

STEP3:
- Get your License Number from us by E-Mail

STEP4
- Register your License Number to the controller computer

The ProductID must be just 10 characters in length. If else, Consult our Support. support-intl@007.jp

License Fee
$80 each controller machine. (License is free for Client machines)

Purchasing Method
You can order using the Secured Credit Card Ordering Service.
Please refer to our Web Site for the details, or contact our Support by E-Mail. support-intl@007.jp

We recommand you to check our Web Site below for the latest registration information.

http://007.jp/intl/index.htm


License R egistration

You must register the program to continue using the software after the evaluation period.
To register the program , follow the procedure below.

Notes (Important)
The Product ID and License Number are peculiar to your machine. The Product ID differs altogether for every machine.
So the Product ID you inform us must be the one of the controller machine you use indeed.

To get a ProductID and to enter a License number,
Right-Click the title bar (upper-most), and you see a pull down menu below

.

Select [Setup] at the lowermost part in the menu, and a dialog for registration is opened.

Getting ProductID
Your ProductID is displayed in the upper box.
Send this ProductID correctly to us by E-Mail. (See Purchasing a license)

The ProductID must be just 10 characters in length. If else, Consult our Support. support-intl@007.jp

Entering License Number
Enter the License Number received from us in the lower box and click [Register] button.
If you get an error message , please check the number and try again.


User Support

If you have a trouble or a question about "What are you doing?", please contact the support.
support-intl@007.jp

Moreover, you can get the newest information about "What are you doing?" and download the updated programs.
http://007.jp/intl/index.htm


Trouble Shooting

The following troubles may occur according to the system environment to install.

- During an setup, an error message is displayed and the installation stops.
- A captured picture is not displayed.
- An automatic addition of a client cannot be performed.
- Even if a command is sent to a client, it does not operate.
- No clients are displayed in a list.
- Operation is very unstable.

There is a "Transfer Process Error" as an error message which often exists at the time of the installation, and this is occurred when registering a component into system.
Moreover, even if the installation finish successfully, All of the functions may not work.
These troubles may occur when the required system modules are lacked or the version is old.
If you suffer these troubles, try the following measures.

Measure 1
Download the System Library update utility "SystemUpdate.exe " and execute it.
"SystemUpdate.exe" is a self-extracting file.
Extract the file and read the instruction (readme.txt).
This program updates the following files in the System Folder.

"MFC42.DLL"
"MSVCRT.DLL"
"MSVBVM50.DLL"
"MSVBVM60.DLL"

Measure 2
Download the System Library update utility "speu.exe" and execute it.
This program is presented by Microsoft.

http://www.asia.microsoft.com/windows95/downloads/contents/wurecommended/s_wuservicepacks/mfclibrary/default.asp?site=95

Notes
In case of the trouble of Client Installation , If you are using "Stealth Installation" , try "Normal Installation".
If you could not resolve the problem although you have tried the two above-mentioned measures, please contact to the support.
support-intl@007.jp


Agreements

License Agreement

You should confirm and accept the following terms and conditions before using the software.
If you do not agree to the terms of this Agreement,you must stop using the software immediately and destroy all of the software.

Distribution
Anyone may distribute the evaluation copy freely.

License
You can use the software for up to 30 days for the evaluation. After the evaluation perio d, if you decide to continue using the software, you must pay the registration fee.

Grant of License
This LICENSE AGREEMENT grants you the following rights:
- You may use the software of the client on more than one computer.
- You may use the software of the controller on a single computer.

This LICENSE AGREEMENT establishes the following limitations:
- You may not permit the use of the software except, under the terms listed above.
- You may not modify, translate, reverse engineer, or create derivative works based on the software.
- You may not make copies of the software other than as specified above.
- You may not rent, lease, grant a security interest in, or, otherwise transfer rights to the software.
- You may not remove any proprietary notices or labels from the software.

Copyright
This software is owned by Shinichi Oizumi.

Disclaimer of Warranty
THE SOFTWARE AND THE MEDIA ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, WITHOUT LIMITATION, ANY WARRANTY OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

IN NO EVENT SHALL THE AUTHOR OR THE AUTHORIZED DISTRIBUTORS BE LIABLE FOR ANY DIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE SOFTWARE OR THE MEDIA, EVEN IF THE AUTHOR OR THE AUTHORIZED DISTRIBUTORS HAVE BEEN ADVISED OF THE LIKELIHOOD OF SUCH DAMAGES OCCURRING.

THE AUTHOR OR THE AUTHORIZED DISTRIBUTORS SHALL NOT BE LIABLE FOR ANY LOSS, DAMAGES OR COSTS, ARISING OUT OF, BUT NOT LIMITED TO, LOST PROFITS OR REVENUE, LOSS OF USE OF THE SOFTWARE OR THE MEDIA, LOSS OF DATA OR EQUIPMENT, THE COSTS OF RECOVERING SOFTWARE, THE MEDIA, DATA OR EQUIPMENT, THE COST OF SUBSTITUTE SOFTWARE OR THE MEDIA, DATA OR EQUIPMENT OR CLAIMS BY THIRD PARTIES, OR OTHER SIMILAR COSTS.